Upsert a reverse proxy

Creates or updates a reverse proxy for the application. While most resources have separate endpoints for creating and updating, reverse proxies have one single endpoint (the typical POST endpoint associated with creating a new resource).

Authorized scopes:

  • owner
  • admin:full
  • admin:limited
  • application:update
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The id of the application.

Body Params
uri
required

The path prefix to identify the reverse proxy. Must be unique for the application. If a landing page or redirect have this path prefix, the reverse proxy will take precedence. Should start and end with a forward slash (/).

uri
required

The fully qualified hostname to proxy the traffic. Should contain the leading protocol (e.g., https://).

uri

The prefix to the path that should replace the path_prefix when making requests to the proxy_host. If not provided, the path_prefix will be used. For example, if the path_prefix is /reverse/proxy/ and the proxy_prefix is /data/, a request to /reverse/proxy/resource will be proxied to https://proxy_host/data/resource.

request_headers
object

A key-value pair of headers to include in the request to the proxy_host. The key is the header name and the value is the header value. The key will be stored in lowercase, and will be stripped of all leading and trailing whitespace. The value will be stored exactly as provided.

string
enum
Allowed:
referral
object
Headers
integer
Responses

401

Unauthorized

Language
Credentials
Bearer
token
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json